using GMW_data;
using SteamWare;
using System;
using System.Web.UI;

namespace GMW
{
  public partial class RimuoviNC : System.Web.UI.Page
  {
    protected void Page_Load(object sender, EventArgs e)
    {
      if (!Page.IsPostBack)
      {
        updatePrinterPostazione();
        // fix css...
        Postazione.CssClass = "stileAttesa";
      }
      // update vari...
      doUpdate();
    }
    /// <summary>
    /// aggiorna messaggi e css
    /// </summary>
    private void updateMessCss()
    {
      lblWarning.Text = Postazione.warningText;
      lblMessaggi.Text = Postazione.messaggiText;
      pnlAll.CssClass = Postazione.CssClass;
    }
    /// <summary>
    /// sistemo visualizzazione pannelli
    /// </summary>
    private void fixPanels()
    {
    }
    /// <summary>
    /// wrapper traduzione
    /// </summary>
    /// <param name="lemma"></param>
    /// <returns></returns>
    public string traduci(object lemma)
    {
      return user_std.UtSn.Traduci(lemma.ToString());
    }
    /// <summary>
    /// update generale controlli
    /// </summary>
    private void doUpdate()
    {
      updateMessCss();
      fixPanels();
    }
    /// <summary>
    /// calcola postazione corrente (ip, name, printer)
    /// </summary>
    private void updatePrinterPostazione()
    {
      Postazione.IP = Request.UserHostName;
      Postazione.setupPrinter();
      // mostro warning se postazione non configurata...
      if (Postazione.printer == "n.d.")
      {
        lblWarning.Text = traduci("lblWarnPostNonConf");
      }
    }
  }
}